# BlurEffect enum

The blur effect style. iOS only.

Inheritance
  - Object
  - Enum
  - BlurEffect

## Constructors

BlurEffect()
  const

## Values

EXTRA_LIGHT → const BlurEffect

  The area of the view is lighter than the underlying view. */

LIGHT → const BlurEffect

  The area of the view is the same approximate lightness of the underlying view. */

DARK → const BlurEffect

  The area of the view is darker than the underlying view. */

REGULAR → const BlurEffect

  A regular blur style that adapts to the user interface style. */

PROMINENT → const BlurEffect

  A blur style for making content more prominent that adapts to the user interface style. */

SYSTEM_ULTRA_THIN_MATERIAL → const BlurEffect

  An adaptable blur effect that creates the appearance of an ultra-thin material. iOS13+. */

SYSTEM_THIN_MATERIAL → const BlurEffect

  An adaptable blur effect that creates the appearance of a thin material. iOS13+. */

SYSTEM_MATERIAL → const BlurEffect

  An adaptable blur effect that create the appearance of a material with normal thickness. Defaults on iOS13 and more. iOS13+. */

SYSTEM_THICK_MATERIAL → const BlurEffect

  An adaptable blur effect that creates the appearance of a material that's thicker than normal. iOS13+. */

SYSTEM_CHROME_MATERIAL → const BlurEffect

  An adaptable blur effect that creates the appearance of the system chrome. iOS13+. */

SYSTEM_ULTRA_THIN_MATERIAL_LIGHT → const BlurEffect

  A blur effect that creates the appearance of an ultra-thin material and is always light. iOS13+. */

SYSTEM_THIN_MATERIAL_LIGHT → const BlurEffect

  A blur effect that creates the appearance of a thin material and is always light. iOS13+. */

SYSTEM_MATERIAL_LIGHT → const BlurEffect

  A blur effect that creates the appearance of a material with normal thickness and is always light. iOS13+. */

SYSTEM_THICK_MATERIAL_LIGHT → const BlurEffect

  A blur effect that creates the appearance of a material that’s thicker than normal and is always light. iOS13+. */

SYSTEM_CHROME_MATERIAL_LIGHT → const BlurEffect

  A blur effect that creates the appearance of the system chrome and is always light. iOS13+ */

SYSTEM_ULTRA_THIN_MATERIAL_DARK → const BlurEffect

  A blur effect that creates the appearance of an ultra-thin material and is always dark. iOS13+ */

SYSTEM_THIN_MATERIAL_DARK → const BlurEffect

  A blur effect that creates the appearance of a thin material and is always dark. iOS13+ */

SYSTEM_MATERIAL_DARK → const BlurEffect

  A blur effect that creates the appearance of a material with normal thickness and is always dark. iOS13+. */

SYSTEM_THICK_MATERIAL_DARK → const BlurEffect

  A blur effect that creates the appearance of a material that’s thicker than normal and is always dark. iOS13+. */

SYSTEM_CHROME_MATERIAL_DARK → const BlurEffect

  A blur effect that creates the appearance of the system chrome and is always dark. iOS13+ */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BlurEffect>
  A constant List of the values in this enum, in order of their declaration.